Welcome to the new WEEX API documentation. Looking for the previous version?Switch to the legacy docs
WEEX
WEEX Spot REST API

Configuration

Endpoint

Get Server Time

Get Server Time.

GET
/api/v3/time
https://api-spot.weex.com
Request weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate-limit capacity.
Learn more in the Access Restrictions section.
IP weight1

Get Server Time › Responses

200

Successful response

serverTime
​integer

Current server time in milliseconds.


Get Coin Information

Get Coin Information.

GET
/api/v3/coins
https://api-spot.weex.com
Request weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate-limit capacity.
Learn more in the Access Restrictions section.
IP weight5

Get Coin Information › Responses

200

Successful response

​object[]
coin
​string

Coin symbol, e.g. BTC.

name
​string

Coin full name.

depositAllEnable
​boolean

Whether deposits are enabled.

withdrawAllEnable
​boolean

Whether withdrawals are enabled.

​object[]

Supported network information.


Exchange information

Retrieves the current exchange trading rules.

GET
/api/v3/exchangeInfo
https://api-spot.weex.com
Request weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate-limit capacity.
Learn more in the Access Restrictions section.
IP weight20

Exchange information › query Parameters

symbol
​string

Single trading pair. Mutually exclusive with symbols.

symbols
​array

Multiple trading pairs. Accepts comma-separated values or a JSON array.

symbolStatus
​string

Filter by symbol status. Values: TRADING (normal trading), HALT (trading suspended), BREAK (market closed).

Exchange information › Responses

200

Successful response

timezone
​string

Exchange timezone (e.g. UTC).

serverTime
​integer

Current server time in milliseconds.

​object[]

API access rate limits.

​object[]

Trading pair definitions.


Test Connectivity

Test Connectivity.

GET
/api/v3/ping
https://api-spot.weex.com
Request weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate-limit capacity.
Learn more in the Access Restrictions section.
IP weight1

Test Connectivity › Responses

200

Successful response

Returns an empty object {} on success.

Get Spot API Trading Symbols

Get Spot API Trading Symbols.

GET
/api/v3/apiTradingSymbols
https://api-spot.weex.com
Request weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate-limit capacity.
Learn more in the Access Restrictions section.
IP weight5

Get Spot API Trading Symbols › Responses

200

Successful response

​string[]